> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversation Summary Trigger API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/agent-ai/api-list)</Badge>

Triggers a conversation summary event in the Agent AI system to send event data related to a conversation to the specified AI Agent.

***

## API Details

| **Field**         | **Value**                                                                                                                        |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | `POST`                                                                                                                           |
| **Endpoint**      | `https://{{host}}/api/v1/public/bot/{{botId}}`                                                                                   |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |

## Path Parameters

| **Parameter** | **Required** | **Description**                                                                   |
| ------------- | ------------ | --------------------------------------------------------------------------------- |
| `host`        | Yes          | The environment URL. For example, `https://platform.kore.ai`.                     |
| `botId`       | Yes          | AI Agent ID or Stream ID. Available on the General Settings page of the AI Agent. |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/agentassist/api/v1/hooks/st-c04e225f-a30b-5a0a-9524-a60ebdbxxxxx' \
--header 'Content-Type: application/json' \
--header 'token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "conversationId": "atesta-m03sxxxxx",
    "botId": "st-c04e225f-a30b-5a0a-9524-a60ebdbxxxxx",
    "events": [
        {
            "name": "TRIGGER_SUMMARY_EVENT",
            "data": {
                "language": "English",
                "locale": "en",
                "type": "post"
            }
        }
    ]
}'
```

## Body Parameters

| **Parameter**            | **Required** | **Description**                                            |
| ------------------------ | ------------ | ---------------------------------------------------------- |
| `conversationId`         | Yes          | Unique identifier for the conversation.                    |
| `botId`                  | Yes          | Unique identifier for the AI Agent.                        |
| `events`                 | Yes          | List of events to trigger.                                 |
| `events[].name`          | Yes          | Name of the event. For example, `"TRIGGER_SUMMARY_EVENT"`. |
| `events[].data`          | Yes          | Additional data for the event.                             |
| `events[].data.language` | Yes          | Language of the event. Example: `"English"`.               |
| `events[].data.locale`   | Yes          | Locale of the event. Example: `"en"`.                      |
| `events[].data.type`     | Yes          | Type of the event. Example: `"post"`.                      |

## Sample Response

```json theme={null}
{
    "STATUS": "OK"
}
```
